<template>
  <div component="FooterCookies"
       class="cookies__container">
    <div>
      <p class="message_cookies">
        {{ $t('cookies.message') }}
      </p>
    </div>
    <div class="cookies__btn">
      <button class="btn"
              @click="handlerAccept">
        {{ $t('cookies.accept') }}
      </button>
    </div>
  </div>
</template>
<script>
export default {
  name: 'FooterCookiesComponent',
  methods: {
    handlerAccept() {
      this.$emit('accept:cookies');
    },
  },
};
</script>
<style lang="scss" scoped>
.cookies__container {
  @include flex(row,center, center);
  background-color: #f0f3bd;
  position: fixed;
  bottom: 0;
  box-shadow: 0 0 23px 0 rgba(4, 32, 47, 0.12);
  z-index: 99;
  width: 100%;

  p {
    margin: 0;
    padding: 2rem;
    line-height: 2rem;
    a{
      text-decoration: underline;
    }
  }
  .cookies__btn {
    display: flex;
    align-items: center;
    .btn {
      font-size: .9rem;
      background-color: #4dc36c;
      border-radius: .5rem;
      color: #FFFFFF;
      height: 45px;
      margin-right: 2rem;
      border-color: transparent;
      border-style: solid;
    }
  }
}
</style>
